#!/bin/bash

if ! [ -f /var/lib/rancher/rke2/agent/logs/kubelet.log ]; then
  exit 0;
fi

export pod=$(grep "error occurred when trying to remove the volumes dir" /var/lib/rancher/rke2/agent/logs/kubelet.log  | tail -1 | sed -e 's/.* \\"//' -e 's/\\".*//')

if [ x${pod} == x ]; then
  exit 0;
fi

file=$(find /var/lib/kubelet/pods/$pod -name vol_data.json 2> /dev/null)

if [ x${file} == x ]; then
  exit 0;
fi

parent=${file%%vol_data.json}

items=$(ls $parent | wc -l)

if [ $items == 1 ]; then
  echo "Removing stale file ${file}"
  rm -f $file
fi
